Subject: SDP4430 nightly regression (was: Re: [GIT PULL] two omap regression fixes)

From: [email-masked] (Tony Lindgren)
Date: Fri, 3 Nov 2017 10:26:48 -0700

* Tony Lindgren <[email-masked]> [171103 16:07]:
> * Russell King - ARM Linux <[email-masked]> [171103 10:45]:
> > In the diffstat between the two build trees (post merge), I don't see
> > anything in arch/arm that could account for it.  I do see some power
> > changes:
> > 
> >  drivers/base/power/domain_governor.c               |  53 +--
> >  drivers/base/power/qos.c                           |   2 +-
> >  drivers/base/power/runtime.c                       |   2 +-
> >  drivers/base/power/sysfs.c                         |  25 +-
> > 
> > but nothing in tty or serial.  These power changes look like QoS
> > changes, which probably aren't related.
> > 
> > Just to make sure, I've diffed the build tree SHAs and the change in
> > Linus' tip, and the two diffs match apart from a couple of SHA blob
> > hashes on a couple of files (EFI stub and MAINTAINERS).
> 
> Initiating git bisect sequence.

Seems this is now fixed in the mainline kernel. I also confirmed
that v4.14-rc6 fails to resume. Most likely Rafael's revert of
the following two commits fixed the issue:

5ba257249e9c ("Revert "PM / QoS: Fix default runtime_pm device resume latency"")
d5919dcc349d ("Revert "PM / QoS: Fix device resume latency PM QoS"")

Regards,

Tony